Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.request
Class UploadedFile25

    java.lang.Object
      org.richfaces.request.BaseUploadedFile
          org.richfaces.request.UploadedFile25

All Implemented Interfaces:
  org.richfaces.model.UploadedFile

    public class UploadedFile25

extends BaseUploadedFile

Author:
  Nick Belaevski

Constructor Summary
`UploadedFile25(String parameterName, org.richfaces.request.FileUploadResource uploadResource, com.google.common.collect.Multimap<String,String> headersMap)`

Method Summary
`void` | `delete()`
`String` | `getHeader(String headerName)`
`Collection<String>` | `getHeaderNames()`
`Collection<String>` | `getHeaders(String headerName)`
`InputStream` | `getInputStream()`
`long` | `getSize()`
`void` | `write(String fileName)`

Methods inherited from class org.richfaces.request.BaseUploadedFile
`getContentType, getData, getName, getParameterName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UploadedFile25

    public UploadedFile25(String parameterName,
                          org.richfaces.request.FileUploadResource uploadResource,
                          com.google.common.collect.Multimap<String,String> headersMap)

Method Detail

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Throws:
    `IOException`

### delete

    public void delete()
                throws IOException

  Throws:
    `IOException`

### write

    public void write(String fileName)
               throws IOException

  Throws:
    `IOException`

### getHeader

    public String getHeader(String headerName)

### getHeaderNames

    public Collection<String> getHeaderNames()

### getHeaders

    public Collection<String> getHeaders(String headerName)

### getSize

    public long getSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.